Ruby master - Bug #12335

Segfault running Rails with Objectspace (2.2.4)
05/01/2016 06:53 AM - pik (alex maznev)

Status: Closed
Priority: Normal
Assignee:

Target version:

ruby -v: ruby 2.2.4p230 (2015-12-16 revision Backport: 2.1: UNKNOWN, 2.2: UNKNOWN, 2.3:
53155) [x86_64-linux] UNKNOWN

Description

So I've been running Rails with ObjectSpace to try and identify a memoryleak. Occasionally this yields segfaults with the c level
back_trace shortly after gc_start. There is a related issue here https:/redmine.ruby-lang.org/issues/11930 - but I'm not sure it is the
same since downgrading from 2.3.0 to 2.2.4 seemed to have fixed the crashes we were experiencing then.

rails -v: Rails 4.2.6

uname -a: Linux I-pc 4.5.0-1-ARCH #1 SMP PREEMPT Tue Mar 15 09:41:03 CET 2016 x86_64 GNU/Linux

History

#1 - 07/24/2019 07:06 PM - jeremyevans0 (Jeremy Evans)
- Status changed from Open to Closed

Files
rails_s_segfault.txt 554 KB 05/01/2016 pik (alex maznev)
rails_s_segfault2.txt 561 KB 05/01/2016 pik (alex maznev)
